summaryrefslogtreecommitdiffhomepage
path: root/modules
diff options
context:
space:
mode:
authorJo-Philipp Wich <jow@openwrt.org>2009-01-25 20:24:27 +0000
committerJo-Philipp Wich <jow@openwrt.org>2009-01-25 20:24:27 +0000
commit2ea584beaff7cc132f1bc05f477bccc4505373c2 (patch)
treebd3f560fae06767108e10d21b40d7bd04b778a6d /modules
parent950ab853eab2ae0a116d4d2390e46a58c9f5ad42 (diff)
modules/freifunk: fix cronjob installation
Diffstat (limited to 'modules')
-rwxr-xr-xmodules/freifunk/root/etc/init.d/freifunk4
1 files changed, 3 insertions, 1 deletions
diff --git a/modules/freifunk/root/etc/init.d/freifunk b/modules/freifunk/root/etc/init.d/freifunk
index b7a1f90eb..799676fe9 100755
--- a/modules/freifunk/root/etc/init.d/freifunk
+++ b/modules/freifunk/root/etc/init.d/freifunk
@@ -5,7 +5,9 @@
START=99
boot() {
- echo "*/5 * * * * killall -HUP dnsmasq" >> /etc/crontabs/root
+ grep -q 'killall -HUP dnsmasq' /etc/crontabs/root || {
+ echo "*/5 * * * * killall -HUP dnsmasq" >> /etc/crontabs/root
+ }
[ -f /etc/rc.local ] && . /etc/rc.local
}